Bug 6825 - OpacNav menu hide user menu on opac-user.pl page
Summary: OpacNav menu hide user menu on opac-user.pl page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-31 10:03 UTC by Frédéric Demians
Modified: 2013-12-05 19:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (930 bytes, patch)
2011-08-31 10:05 UTC, Frédéric Demians
Details | Diff | Splinter Review
Proposed patch (6.69 KB, patch)
2011-08-31 10:14 UTC, Frédéric Demians
Details | Diff | Splinter Review
Revised patch (12.71 KB, patch)
2011-09-11 09:26 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6825 OpacNav menu hide user menu on opac-user.pl page (12.78 KB, patch)
2011-09-11 15:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-08-31 10:03:09 UTC
On OPAC, when a user is logged, he can see/modify his/her personal information. A menu on the left, give him access to his fines, personal details, etc. But if OpacNav is defined and contain a certain amount of links, this user menu is pushed down, and scrolling down the page is required to see it.

A enhancement should inverse displaying OpacNav menu and user menu.
Comment 1 Frédéric Demians 2011-08-31 10:05:59 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2011-08-31 10:14:56 UTC Comment hidden (obsolete)
Comment 3 Christophe Croullebois 2011-09-02 08:29:49 UTC
taking that
Comment 4 Christophe Croullebois 2011-09-02 09:05:17 UTC
GBSD#4 ok fine
Comment 5 Nicole C. Engard 2011-09-08 14:10:39 UTC
I'm wondering if this patch is the kind of thing that all libraries will want - many people have worked their design around the navigation being as it is - I hate to say it but this might be a system preference type thing so that it doesn't mess things up for libraries who have been using Koha for a long time and have users used to the menus being where they are.

Changes to navigation shouldn't be made lightly when they cause usability issues for the patrons.

Nicole
Comment 6 Ian Walls 2011-09-08 14:39:36 UTC
This is neither a bug nor an enhancement, but rather a matter of preference.  For some libraries, the OpacNav content is best displayed above the opac-user menu (as it is now).  For others, it's best below.

The simplest solution for this is to include a system preference.  A better, but much more difficult, solution would be to provide some kind of interface for users to be able to place content blocks on the various OPAC pages.

While this bug is in itself sound, I think the change being made is not to the benefit of all libraries.  Please reimplement with some kind of mechanism for the library to choose the order of this content.
Comment 7 Frédéric Demians 2011-09-10 11:36:11 UTC
> This is neither a bug nor an enhancement, but rather a matter of
> preference.  For some libraries, the OpacNav content is best displayed
> above the opac-user menu (as it is now).  For others, it's best below.

I've never seen a library using OpacNav and not complaining about patron
pages account links being pushed down by OpacNav... but I agree that
some libraries may have tweaked their OPAC design to cope with that. 

> The simplest solution for this is to include a system preference.  A better,
> but much more difficult, solution would be to provide some kind of interface
> for users to be able to place content blocks on the various OPAC pages.

What you think of an OpacNavBottom syspref which would be placed on all
pages after OpacNav? on Patron pages, there will be:

  OpacNav
  Patron links
  OpacNavBottom

OpacNavBottom syspref description could be:

  Show the following HTML on the left hand column of the main page and
  patron account on the OPAC, after OpacNav, and before patron account
  links if available.
Comment 8 Nicole C. Engard 2011-09-10 13:15:18 UTC
Works for me, but wouldn't it be easier to have a pref for OpacNacLocation and say - "show opacnav above/below patron links"
Comment 9 Frédéric Demians 2011-09-10 16:40:39 UTC
(In reply to comment #8)
> Works for me, but wouldn't it be easier to have a pref for
> OpacNacLocation and say - "show opacnav above/below patron links"

Your solution is better from an user point of view: easier to
understand. My solution would allow to keep on Patron page few links
above Patron links: Library Home page link for example. I can't decide.
Please choose for me one solution or the other. Thanks.
Comment 10 Nicole C. Engard 2011-09-10 21:33:11 UTC
If you're willing to do the work then I choose your way :) It allows for more customization in the end.

Nicole
Comment 11 Frédéric Demians 2011-09-11 09:26:24 UTC Comment hidden (obsolete)
Comment 12 Nicole C. Engard 2011-09-11 15:11:25 UTC
Created attachment 5396 [details] [review]
[SIGNED-OFF] Bug 6825 OpacNav menu hide user menu on opac-user.pl page

This patch add a new syspref OpacNavBottom which is placed on all pages
after OpacNav. On Patron pages, specif patron links are placed between
OpacNav and OpacNavBottom, like this:

  OpacNav
  Patron links
  OpacNavBottom

To test:

  1 Apply this patch
  2 For RM, modify kohaversion.pl and updatedatabase.pl appropriately
  3 Test that OPAC pages are displayed as before, OpacNav on the left
  4 Test OPAC patron pages: OpacNav is as before displayed after patron
    links
  5 Split OpacNav between itself and OpacNavBottom
  6 Patron pages display patron links between OpacNav and OpacNavBottom

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 13 Ian Walls 2011-10-13 17:25:57 UTC
Adds a new system preference that gives libraries the choice of how they want their content to display in user pages.  Very cleanly done, and doesn't introduce new strings.  Marking as Passed QA.
Comment 14 Chris Cormack 2011-10-13 22:31:50 UTC
I agree with Ian, pushed
Comment 15 Jared Camins-Esakov 2012-05-23 12:19:55 UTC
Seems to work fine. Closing.